<?php
// $Id: columns.php,v 1.1.2.3 2006/11/09 18:38:22 agentken Exp $

/**
 * The theme function for this layout.
 */
function theme_mysite_columns_layout($content) {
  // break the array into pieces
  $owner = $content['owner'];
  $mysite = $content['mysite'];
  $data = $content['data'];
  
  // split the $data into two arrays
  $count = round(count($data) / 2);
  $display = array();
  $display['a'] = array_slice($data, 0, $count);
  $display['b'] = array_slice($data, $count);

  // wrap the output
  $output = '<div id="mysite">';
  if(user_access('access user profiles')) {
    $output .= '<div class="profile">' . l(t("%name's profile", array('%name' =>$owner->name)), 'user/' . $owner->uid) . "</div>";
  }
  $output .= '<table width="100%" cellpadding="10" cellspacing="0">';

  // cycle through the two data sets and make columns
  foreach ($display as $set) {
    $output .= '<td valign="top" width="50%">'; 
    foreach ($set as $key => $value) {
      $output .= '<div class="group">';
      $output .= '<h2>' . $value['title']. "</h2>";
      if (!empty($value['output'])) {
        if (!empty($value['output']['image'])) {
          $output .= $value['output']['image'];
        }      
        $output .= theme('mysite_' . $value['format'] . '_item', $value['output']['items']);
        $output .= '<span class="more">' . l(t('read more'), $value['output']['base']) . '</span>';
      }
      else {
        $output .= t('<p>No content found.</p>');
      }
      $output .= ' <span class="actions">' . $value['actions'] . '</span> ';
      $output .= '</div>';
    }
    $output .= '</td>';
  }  
  $output .= '</tr>';
  $output .= '</table>';  
  $output .= '</div>';
  print theme('page', $output);
  return;
}